<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>加班申请管理</title>
	<meta name="decorator" content="default"/>
	<style>
		label.error{
			top:40px;
			left:0;
		}
		#reason-error{
			top:80px;
		}
	</style>
	<script type="text/javascript">
        var validateForm;
        function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                if(obj == 2){
                    $("#inputForm").attr("action","${ctx}/workovertime/workOvertime/store");
                }else{
                    $("#inputForm").attr("action","${ctx}/workovertime/workOvertime/save");
                }
                var endDate = $("#endDate").val().replace("-","").replace("-","");
                //结束
                var startDate =  $("#startDate").val().replace("-","").replace("-","");
                var strtType = $("#startType").val();
                var endType = $("#endType").val();
                if(endDate != null && endDate != undefined && endDate != '' && startDate != null && startDate != undefined && startDate != '') {
                    var days = endDate - startDate;
                    console.log("------days----" + days);
                    if (days < 0) {
                        parent.layer.msg("结束日期必须在开始日期之后!!!", {icon: 5});
                        return;
                    }else if(days == 0){
                        if("2" == strtType && "1" == endType){
                            parent.layer.msg("结束日期必须在开始日期之后!!!", {icon: 5});
                            return;
                        }
                    }
                }
                $("#inputForm").submit();
                return true;
            }else {
                parent.layer.msg("信息未填写完整!", {icon: 5});
            }
            return false;
        }

        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });

            laydate.render({
                elem: '#startDate',
                event: 'focus',
                type : 'date',
                done: function(value){//日期时间被切换后的回调
                    //开始
                    var endDate = $("#endDate").val().replace("-","").replace("-","");
                    console.log("------endDate----"+endDate);
                    //结束
                    var startDate = value.replace("-","").replace("-","");
                    console.log("------endDate----"+endDate);
                    if(endDate != null && endDate != undefined && endDate != ''){
                        var days = endDate - startDate;
                        console.log("------days----"+days);
                        if(days < 0){
                            parent.layer.msg("结束日期必须在开始日期之后!!!", {icon: 5});
                            return;
                        }
                    }
                }
            });
            laydate.render({
                elem: '#endDate',
                event: 'focus',
                type : 'date',
                done: function(value){//日期时间被切换后的回调
                    //开始
                    var startDate = $("#startDate").val().replace("-","").replace("-","");
                    console.log("------startDate----"+startDate);
                    //结束
                    var endDate = value.replace("-","").replace("-","");
                    console.log("------endDate----"+endDate);
                    if(startDate != null && startDate != undefined && startDate != ''){
                        var days = endDate - startDate;
                        if(days < 0){
                            parent.layer.msg("结束日期必须在开始日期之后!!!", {icon: 5});
                            return;
                        }
                    }
                }
            });
        });
        function insertTitle(tValue){
            var list = "${workOvertime.workAttachments}";
            var size = (list.split('url')).length-1;
            var files = $("#attachment_file")[0].files;            for(var i = 0;i<files.length;i++) {                var file = files[i];
            var attachmentId = "";
            var attachmentFlag = "72";
            console.log(file);
            var timestamp=new Date().getTime();

            var storeAs = "attachment-file/workOvertime/"+timestamp+"/"+file['name'];
            var uploadPath="http://gangwan-app.oss-cn-hangzhou.aliyuncs.com/"+storeAs;/*将这段字符串存到数据库即可*/
            var divId = "_attachment";
            $("#addFile"+divId).show();
            multipartUploadWithSts(storeAs, file,attachmentId,attachmentFlag,uploadPath,divId,size);}
        }

	</script>
</head>
<body>
<div class="single-form">
	<div class="container">
		<form:form id="inputForm" modelAttribute="workOvertime" action="${ctx}/workovertime/workOvertime/save" method="post" class="form-horizontal">
			<form:hidden path="id"/>
			<input type="hidden" name="workStaffBasicInfo.id" value="${workOvertime.workStaffBasicInfo.id}">
			<div class="form-group layui-row first lw8">
				<div class="form-group-label"><h2>基础信息</h2></div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">姓名：</label>
					<div class="layui-input-block">
						<form:input id="name" path="name" htmlEscape="false" readonly="true" class="form-control  layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">加班申请编号：</label>
					<div class="layui-input-block">
						<div class="input-group">
							<form:input id="num" path="num" htmlEscape="false"   readonly="true" class="form-control layui-input"/>
							<span class="input-group-btn">
								<label class="form-status"><c:choose><c:when test="${ empty workOvertime.status}">新添</c:when><c:otherwise>${fns:getDictLabel(workOvertime.status, 'audit_state','')}</c:otherwise>	</c:choose></label>
							</span>
						</div>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">工号：</label>
					<div class="layui-input-block">
						<form:input  path="workStaffBasicInfo.no" htmlEscape="false" readonly="true" class="form-control required layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">员工状态：</label>
					<div class="layui-input-block">
						<form:input  path="workStaffBasicInfo.status" htmlEscape="false" readonly="true" class="form-control required layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">部门：</label>
					<div class="layui-input-block">
						<form:input  path="workStaffBasicInfo.office.name" htmlEscape="false" readonly="true" class="form-control required layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">职级：</label>
					<div class="layui-input-block">
						<form:input  path="workStaffBasicInfo.jobGrade.name" htmlEscape="false" readonly="true" class="form-control required layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>开始日期：</label>
					<div class="layui-input-block">
						<input id="startDate" name="startDate" style="background-color: #ffffff;" readonly="true"  htmlEscape="false"  maxlength="20" class="laydate-icondate required form-control layer-date layui-input laydate-icon query-group"
							   value="<fmt:formatDate value="${workOvertime.startDate}" pattern="yyyy-MM-dd"/>"/>
						</input>
						<span class="group-sep">-</span>
						<form:select path="startType" class="form-control  simple-select query-group">
							<form:options items="${fns:getDictList('date_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
						</form:select>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>结束日期：</label>
					<div class="layui-input-block">
						<input id="endDate" name="endDate" style="background-color: #ffffff;" readonly="true"  htmlEscape="false" maxlength="20" class="laydate-icondate required form-control layer-date layui-input laydate-icon query-group"
							   value="<fmt:formatDate value="${workOvertime.endDate}" pattern="yyyy-MM-dd"/>"/>
						</input>
						<span class="group-sep">-</span>
						<form:select path="endType" class="form-control  simple-select query-group">
							<form:options items="${fns:getDictList('date_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
						</form:select>
					</div>
				</div>
				<div class="layui-item layui-col-sm12  with-textarea">
					<label class="layui-form-label"><span class="require-item">*</span>加班原因：</label>
					<div class="layui-input-block">
						<form:textarea path="reason" htmlEscape="false" rows="4" maxlength="255"   class="form-control required"/>
					</div>
				</div>
			</div>
			<div class="form-group layui-row">
				<div class="form-group-label"><h2>附件信息</h2></div>
				<div class="layui-item nav-btns">
					<a id="attachment_btn" class="nav-btn nav-btn-add" title="添加附件"><i class="fa fa-plus"></i>&nbsp;添加附件</a>
				</div>
				<div id="addFile_attachment" style="display: none" class="upload-progress">
					<span id="fileName_attachment" ></span>
					<b><span id="baifenbi_attachment" ></span></b>
					<div class="progress">
						<div id="jindutiao_attachment" class="progress-bar" style="width: 0%" aria-valuenow="0">
						</div>
					</div>
				</div>
				<input id="attachment_file" type="file" name="attachment_file" multiple="multiple" style="display: none;" onChange="if(this.value)insertTitle(this.value);"/>
				<span id="attachment_title"></span>
				<div class="layui-item layui-col-xs12" style="padding:0 16px;">
					<table id="upTable" class="table table-bordered table-condensed details">
						<thead>
						<tr>
								<%-- <th>序号</th>--%>
							<th>文件预览</th>
							<th>上传人</th>
							<th>上传时间</th>
							<th width="150px">操作</th>
						</tr>
						</thead>
						<tbody id="file_attachment">
						<c:forEach items="${workOvertime.workAttachments}" var = "workClientAttachment" varStatus="status">
							<tr>
									<%-- <td>${status.index + 1}</td>--%>
								<c:choose>
									<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
										<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}">
									</c:when>
									<c:otherwise>
										<c:choose>
											<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
												<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
											</c:when>
											<c:otherwise>
												<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
											</c:otherwise>
										</c:choose>
									</c:otherwise>
								</c:choose>
								<td>${workClientAttachment.createBy.name}</td>
								<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
								<td class="op-td">
									<div class="op-btn-box" >
										<a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
										<c:if test="${workClientAttachment.createBy.id eq fns:getUser().id}">
											<a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/sys/workattachment/deleteFileFromAliyun?url=${workClientAttachment.url}&id=${workClientAttachment.id}&type=2','addFile')" class="op-btn op-btn-delete" ><i class="fa fa-trash"></i>&nbsp;删除</a>
										</c:if>
									</div>
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
			<div class="form-group layui-row page-end"></div>
		</form:form>
	</div>
</div>
</body>
</html>